Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namcrs
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namcrs	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namcrs	(revision 10321)
@@ -5,11 +5,11 @@
    nn_facty    = 3         !  Reduction factor of y-direction
    nn_binref   = 0         !  Bin centering preference: NORTH or EQUAT
-                           !  0, coarse grid is binned with preferential treatment of the north fold
-                           !  1, coarse grid is binned with centering at the equator
-                           !    Symmetry with nn_facty being odd-numbered. Asymmetry with even-numbered nn_facty.
-   nn_msh_crs  = 1         !  create (=1) a mesh file or not (=0)
+      !                    !  0, coarse grid is binned with preferential treatment of the north fold
+      !                    !  1, coarse grid is binned with centering at the equator
+      !                    !    Symmetry with nn_facty being odd-numbered. Asymmetry with even-numbered nn_facty.
+   ln_msh_crs  = .false.   ! =T create a mesh & mask file
    nn_crs_kz   = 0         ! 0, MEAN of volume boxes
-                           ! 1, MAX of boxes
-                           ! 2, MIN of boxes
+      !                    ! 1, MAX of boxes
+      !                    ! 2, MIN of boxes
    ln_crs_wn   = .true.    ! wn coarsened (T) or computed using horizontal divergence ( F )
 /
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namctl
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namctl	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namctl	(revision 10321)
@@ -1,4 +1,4 @@
 !-----------------------------------------------------------------------
-&namctl        !   Control prints 
+&namctl        !   Control prints                                       (default: OFF)
 !-----------------------------------------------------------------------
    ln_ctl      = .false.   !  trends control print (expensive!)
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namdia
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namdia	(revision 10321)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namdia	(revision 10321)
@@ -0,0 +1,9 @@
+!------------------------------------------------------------------------------
+&namdia         !   Diagnostics
+!------------------------------------------------------------------------------
+   ln_icediachk     = .false.         !  check online the heat, mass & salt budgets (T) or not (F)
+   ln_icediahsb     = .false.         !  output the heat, mass & salt budgets (T) or not (F)
+   ln_icectl        = .false.         !  ice points output for debug (T or F)
+   iiceprt          =  10             !  i-index for debug
+   jiceprt          =  10             !  j-index for debug
+/
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namdiu
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namdiu	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namdiu	(revision 10321)
@@ -1,4 +1,4 @@
 !-----------------------------------------------------------------------
-&namdiu        !   Cool skin and warm layer models                       (default F)
+&namdiu        !   Cool skin and warm layer models                      (default: OFF)
 !-----------------------------------------------------------------------
    ln_diurnal      = .false.   !
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namdom
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namdom	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namdom	(revision 10321)
@@ -3,8 +3,5 @@
 !-----------------------------------------------------------------------
    ln_linssh   = .false.   !  =T  linear free surface  ==>>  model level are fixed in time
-   nn_closea   =    0      !  remove (=0) or keep (=1) closed seas and lakes (ORCA)
-   !
-   nn_msh      =    0      !  create (>0) a mesh file or not (=0)
-   rn_isfhmin  =    1.00   !  treshold (m) to discriminate grounding ice to floating ice
+   rn_isfhmin  =    1.00   !  treshold [m] to discriminate grounding ice from floating ice
    !
    rn_rdt      = 5760.     !  time step for the dynamics and tracer
@@ -12,3 +9,5 @@
    !
    ln_crs      = .false.   !  Logical switch for coarsening module      (T => fill namcrs)
+   !
+   ln_meshmask = .false.   !  =T create a mesh file
 /
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namdrg
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namdrg	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namdrg	(revision 10321)
@@ -1,10 +1,10 @@
 !-----------------------------------------------------------------------
-&namdrg            !   top/bottom drag coefficient                      (default: NO selection)
+&namdrg        !   top/bottom drag coefficient                          (default: NO selection)
 !-----------------------------------------------------------------------
-   ln_NONE    = .false.    !  free-slip       : Cd = 0                  (F => fill namdrg_bot
-   ln_lin     = .false.    !      linear  drag: Cd = Cd0 Uc0                   &   namdrg_top)
-   ln_non_lin = .false.    !  non-linear  drag: Cd = Cd0 |U|
-   ln_loglayer= .false.    !  logarithmic drag: Cd = vkarmn/log(z/z0) |U|
+   ln_OFF      = .false.   !  free-slip       : Cd = 0                  (F => fill namdrg_bot
+   ln_lin      = .false.   !      linear  drag: Cd = Cd0 Uc0                   &   namdrg_top)
+   ln_non_lin  = .false.   !  non-linear  drag: Cd = Cd0 |U|
+   ln_loglayer = .false.   !  logarithmic drag: Cd = vkarmn/log(z/z0) |U|
    !
-   ln_drgimp  = .true.     !  implicit top/bottom friction flag
+   ln_drgimp   = .true.    !  implicit top/bottom friction flag
 /
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namdrg_bot
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namdrg_bot	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namdrg_bot	(revision 10321)
@@ -1,11 +1,11 @@
 !-----------------------------------------------------------------------
-&namdrg_bot        !   BOTTOM friction                                  
+&namdrg_bot    !   BOTTOM friction                                      (ln_OFF =F)
 !-----------------------------------------------------------------------
-   rn_Cd0     =  1.e-3    !  drag coefficient [-]
-   rn_Uc0     =  0.4      !  ref. velocity [m/s] (linear drag=Cd0*Uc0) 
-   rn_Cdmax   =  0.1      !  drag value maximum [-] (logarithmic drag)
-   rn_ke0     =  2.5e-3   !  background kinetic energy  [m2/s2] (non-linear cases)
-   rn_z0      =  3.e-3    !  roughness [m] (ln_loglayer=T)
-   ln_boost   = .false.   !  =T regional boost of Cd0 ; =F constant
-      rn_boost=  50.         !  local boost factor  [-]
+   rn_Cd0      =  1.e-3    !  drag coefficient [-]
+   rn_Uc0      =  0.4      !  ref. velocity [m/s] (linear drag=Cd0*Uc0) 
+   rn_Cdmax    =  0.1      !  drag value maximum [-] (logarithmic drag)
+   rn_ke0      =  2.5e-3   !  background kinetic energy  [m2/s2] (non-linear cases)
+   rn_z0       =  3.e-3    !  roughness [m] (ln_loglayer=T)
+   ln_boost    = .false.   !  =T regional boost of Cd0 ; =F constant
+      rn_boost =  50.         !  local boost factor  [-]
 /
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namdrg_top
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namdrg_top	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namdrg_top	(revision 10321)
@@ -1,11 +1,11 @@
 !-----------------------------------------------------------------------
-&namdrg_top        !   TOP friction                                     (ln_isfcav=T)
+&namdrg_top    !   TOP friction                                         (ln_OFF =F & ln_isfcav=T)
 !-----------------------------------------------------------------------
-   rn_Cd0     =  1.e-3     !  drag coefficient [-]
-   rn_Uc0     =  0.4       !  ref. velocity [m/s] (linear drag=Cd0*Uc0) 
-   rn_Cdmax   =  0.1       !  drag value maximum [-] (logarithmic drag)
-   rn_ke0     =  2.5e-3    !  background kinetic energy  [m2/s2] (non-linear cases)
-   rn_z0      =  3.0e-3    !  roughness [m] (ln_loglayer=T)
-   ln_boost   = .false.    !  =T regional boost of Cd0 ; =F constant
-      rn_boost=  50.          !  local boost factor  [-]
+   rn_Cd0      =  1.e-3    !  drag coefficient [-]
+   rn_Uc0      =  0.4      !  ref. velocity [m/s] (linear drag=Cd0*Uc0) 
+   rn_Cdmax    =  0.1      !  drag value maximum [-] (logarithmic drag)
+   rn_ke0      =  2.5e-3   !  background kinetic energy  [m2/s2] (non-linear cases)
+   rn_z0       =  3.0e-3   !  roughness [m] (ln_loglayer=T)
+   ln_boost    = .false.   !  =T regional boost of Cd0 ; =F constant
+      rn_boost =  50.         !  local boost factor  [-]
 /
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namdta_dyn
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namdta_dyn	(revision 10321)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namdta_dyn	(revision 10321)
@@ -0,0 +1,26 @@
+!-----------------------------------------------------------------------
+&namdta_dyn    !   offline ocean input files                            (OFF_SRC only)
+!-----------------------------------------------------------------------
+   ln_dynrnf       =  .false.    !  runoffs option enabled (T) or not (F)
+   ln_dynrnf_depth =  .false.    !  runoffs is spread in vertical (T) or not (F)
+!   fwbcorr        = 3.786e-06   !  annual global mean of empmr for ssh correction
+
+   cn_dir      = './'      !  root directory for the ocean data location
+   !___________!_________________________!___________________!___________!_____________!________!___________!__________________!__________!_______________!
+   !           !  file name              ! frequency (hours) ! variable  ! time interp.!  clim  ! 'yearly'/ ! weights filename ! rotation ! land/sea mask !
+   !           !                         !  (if <0  months)  !   name    !   (logical) !  (T/F) ! 'monthly' !                  ! pairing  !    filename   !
+   sn_tem      = 'dyna_grid_T'           ,       120         , 'votemper'  ,  .true.   , .true. , 'yearly'  , ''               , ''       , ''
+   sn_sal      = 'dyna_grid_T'           ,       120         , 'vosaline'  ,  .true.   , .true. , 'yearly'  , ''               , ''       , ''
+   sn_mld      = 'dyna_grid_T'           ,       120         , 'somixhgt'  ,  .true.   , .true. , 'yearly'  , ''               , ''       , ''
+   sn_emp      = 'dyna_grid_T'           ,       120         , 'sowaflup'  ,  .true.   , .true. , 'yearly'  , ''               , ''       , ''
+   sn_fmf      = 'dyna_grid_T'           ,       120         , 'iowaflup'  ,  .true.   , .true. , 'yearly'  , ''               , ''       , ''
+   sn_ice      = 'dyna_grid_T'           ,       120         , 'soicecov'  ,  .true.   , .true. , 'yearly'  , ''               , ''       , ''
+   sn_qsr      = 'dyna_grid_T'           ,       120         , 'soshfldo'  ,  .true.   , .true. , 'yearly'  , ''               , ''       , ''
+   sn_wnd      = 'dyna_grid_T'           ,       120         , 'sowindsp'  ,  .true.   , .true. , 'yearly'  , ''               , ''       , ''
+   sn_uwd      = 'dyna_grid_U'           ,       120         , 'uocetr_eff',  .true.   , .true. , 'yearly'  , ''               , ''       , ''
+   sn_vwd      = 'dyna_grid_V'           ,       120         , 'vocetr_eff',  .true.   , .true. , 'yearly'  , ''               , ''       , ''
+   sn_wwd      = 'dyna_grid_W'           ,       120         , 'wocetr_eff',  .true.   , .true. , 'yearly'  , ''               , ''       , ''
+   sn_avt      = 'dyna_grid_W'           ,       120         , 'voddmavs'  ,  .true.   , .true. , 'yearly'  , ''               , ''       , ''
+   sn_ubl      = 'dyna_grid_U'           ,       120         , 'sobblcox'  ,  .true.   , .true. , 'yearly'  , ''               , ''       , ''
+   sn_vbl      = 'dyna_grid_V'           ,       120         , 'sobblcoy'  ,  .true.   , .true. , 'yearly'  , ''               , ''       , ''
+/
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namdyn
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namdyn	(revision 10321)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namdyn	(revision 10321)
@@ -0,0 +1,17 @@
+!------------------------------------------------------------------------------
+&namdyn         !   Ice dynamics
+!------------------------------------------------------------------------------
+   ln_dynFULL       = .true.          !  dyn.: full ice dynamics               (rheology + advection + ridging/rafting + correction)
+   ln_dynRHGADV     = .false.         !  dyn.: no ridge/raft & no corrections  (rheology + advection)
+   ln_dynADV        = .false.         !  dyn.: only advection w prescribed vel.(rn_uvice + advection)
+      rn_uice       =   0.00001       !        prescribed ice u-velocity
+      rn_vice       =   0.            !        prescribed ice v-velocity
+   rn_ishlat        =   2.            !  free slip (0) ; partial slip (0-2) ; no slip (2) ; strong slip (>2)
+   ln_landfast      = .false.         !  landfast ice parameterization (T or F)                           
+      rn_gamma      =   0.15          !     fraction of ocean depth that ice must reach to initiate landfast
+                                      !        recommended range: [0.1 ; 0.25]
+      rn_icebfr     =  10.            !     maximum bottom stress per unit area of contact [N/m2]                 
+                                      !        a very large value ensures ice velocity=0 even with a small contact area
+                                      !        recommended range: ?? (should be greater than atm-ice stress => >0.1 N/m2)
+      rn_lfrelax    =   1.e-5         !     relaxation time scale to reach static friction [s-1]
+/
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namdyn_adv
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namdyn_adv	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namdyn_adv	(revision 10321)
@@ -2,5 +2,5 @@
 &namdyn_adv    !   formulation of the momentum advection                (default: NO selection)
 !-----------------------------------------------------------------------
-   ln_dynadv_NONE= .false. !  linear dynamics (no momentum advection)
+   ln_dynadv_OFF = .false. !  linear dynamics (no momentum advection)
    ln_dynadv_vec = .false. !  vector form - 2nd centered scheme
      nn_dynkeg     = 0        ! grad(KE) scheme: =0   C2  ;  =1   Hollingsworth correction
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namdyn_ldf
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namdyn_ldf	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namdyn_ldf	(revision 10321)
@@ -3,28 +3,30 @@
 !-----------------------------------------------------------------------
    !                       !  Type of the operator :
-   ln_dynldf_NONE=  .false.    !  No operator (i.e. no explicit diffusion)
-   ln_dynldf_lap =  .false.    !    laplacian operator
-   ln_dynldf_blp =  .false.    !  bilaplacian operator
+   ln_dynldf_OFF = .false.     !  No operator (i.e. no explicit diffusion)
+   ln_dynldf_lap = .false.     !    laplacian operator
+   ln_dynldf_blp = .false.     !  bilaplacian operator
    !                       !  Direction of action  :
-   ln_dynldf_lev =  .false.    !  iso-level
-   ln_dynldf_hor =  .false.    !  horizontal (geopotential)
-   ln_dynldf_iso =  .false.    !  iso-neutral
+   ln_dynldf_lev = .false.     !  iso-level
+   ln_dynldf_hor = .false.     !  horizontal  (geopotential)
+   ln_dynldf_iso = .false.     !  iso-neutral (lap only)
    !                       !  Coefficient
-   nn_ahm_ijk_t  = 0           !  space/time variation of eddy coef
-   !                                !  =-30  read in eddy_viscosity_3D.nc file
-   !                                !  =-20  read in eddy_viscosity_2D.nc file
-   !                                !  =  0  constant 
-   !                                !  = 10  F(k)=c1d
-   !                                !  = 20  F(i,j)=F(grid spacing)=c2d
-   !                                !  = 30  F(i,j,k)=c2d*c1d
-   !                                !  = 31  F(i,j,k)=F(grid spacing and local velocity)
-   !                                !  = 32  F(i,j,k)=F(local gridscale and deformation rate)
-   ! Caution in 20 and 30 cases the coefficient have to be given for a 1 degree grid (~111km)
-   rn_ahm_0      =  40000.     !  horizontal laplacian eddy viscosity   [m2/s]
-   rn_ahm_b      =      0.     !  background eddy viscosity for ldf_iso [m2/s]
-   rn_bhm_0      = 1.e+12      !  horizontal bilaplacian eddy viscosity [m4/s]
-   !                       !  Smagorinsky settings (nn_ahm_ijk_t  = 32) :
-   rn_csmc       = 3.5         !  Smagorinsky constant of proportionality
-   rn_minfac     = 1.0         !  multiplier of theorectical lower limit
-   rn_maxfac     = 1.0         !  multiplier of theorectical upper limit
+   nn_ahm_ijk_t  = 0           !  space/time variation of eddy coefficient :
+      !                             !  =-30  read in eddy_viscosity_3D.nc file
+      !                             !  =-20  read in eddy_viscosity_2D.nc file
+      !                             !  =  0  constant 
+      !                             !  = 10  F(k)=c1d
+      !                             !  = 20  F(i,j)=F(grid spacing)=c2d
+      !                             !  = 30  F(i,j,k)=c2d*c1d
+      !                             !  = 31  F(i,j,k)=F(grid spacing and local velocity)
+      !                             !  = 32  F(i,j,k)=F(local gridscale and deformation rate)
+      !                        !  time invariant coefficients :  ahm = 1/2  Uv*Lv   (lap case) 
+      !                             !                            or  = 1/12 Uv*Lv^3 (blp case)
+      rn_Uv      = 0.1              !  lateral viscous velocity [m/s] (nn_ahm_ijk_t= 0, 10, 20, 30)
+      rn_Lv      = 10.e+3           !  lateral viscous length   [m]   (nn_ahm_ijk_t= 0, 10)
+      !                       !  Smagorinsky settings  (nn_ahm_ijk_t= 32) :
+      rn_csmc       = 3.5         !  Smagorinsky constant of proportionality
+      rn_minfac     = 1.0         !  multiplier of theorectical lower limit
+      rn_maxfac     = 1.0         !  multiplier of theorectical upper limit
+      !                       !  iso-neutral laplacian operator (ln_dynldf_iso=T) :
+      rn_ahm_b      = 0.0         !  background eddy viscosity  [m2/s]
 /
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namdyn_rdgrft
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namdyn_rdgrft	(revision 10321)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namdyn_rdgrft	(revision 10321)
@@ -0,0 +1,25 @@
+!------------------------------------------------------------------------------
+&namdyn_rdgrft  !   Ice ridging/rafting
+!------------------------------------------------------------------------------
+          ! -- ice_rdgrft_strength -- !
+   ln_str_H79       = .true.          !  ice strength param.: Hibler_79   => P = pstar*<h>*exp(-c_rhg*A)                      
+      rn_pstar      =   2.0e+04       !     ice strength thickness parameter [N/m2]
+      rn_crhg       =   20.0          !     ice strength conc. parameter (-)
+                   ! -- ice_rdgrft -- !
+   rn_csrdg         =   0.5           !  fraction of shearing energy contributing to ridging
+              ! -- ice_rdgrft_prep -- !
+   ln_partf_lin     = .false.         !  Linear ridging participation function (Thorndike et al, 1975)
+      rn_gstar      =   0.15          !     fractional area of thin ice being ridged 
+   ln_partf_exp     = .true.          !  Exponential ridging participation function (Lipscomb, 2007)
+      rn_astar      =   0.03          !     exponential measure of ridging ice fraction [set to 0.05 if hstar=100]
+   ln_ridging       = .true.          !  ridging activated (T) or not (F)
+      rn_hstar      =  25.0           !     determines the maximum thickness of ridged ice [m] (Hibler, 1980)
+      rn_porordg    =   0.3           !     porosity of newly ridged ice (Lepparanta et al., 1995)
+      rn_fsnwrdg    =   0.5           !     snow volume fraction that survives in ridging
+      rn_fpndrdg    =   1.0           !     pond fraction that survives in ridging (small a priori)
+   ln_rafting       = .true.          !  rafting activated (T) or not (F)
+      rn_hraft      =   0.75          !     threshold thickness for rafting [m]
+      rn_craft      =   5.0           !     squeezing coefficient used in the rafting function
+      rn_fsnwrft    =   0.5           !     snow volume fraction that survives in rafting
+      rn_fpndrft    =   1.0           !     pond fraction that survives in rafting (0.5 a priori)
+/
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namdyn_rhg
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namdyn_rhg	(revision 10321)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namdyn_rhg	(revision 10321)
@@ -0,0 +1,11 @@
+!------------------------------------------------------------------------------
+&namdyn_rhg     !   Ice rheology
+!------------------------------------------------------------------------------
+   ln_rhg_EVP       = .true.          !  EVP rheology
+      ln_aEVP       = .true.          !     adaptive rheology (Kimmritz et al. 2016 & 2017)
+      rn_creepl     =   2.0e-9        !     creep limit [1/s]
+      rn_ecc        =   2.0           !     eccentricity of the elliptical yield curve          
+      nn_nevp       = 120             !     number of EVP subcycles                             
+      rn_relast     =   0.333         !     ratio of elastic timescale to ice time step: Telast = dt_ice * rn_relast 
+                                      !        advised value: 1/3 (rn_nevp=120) or 1/9 (rn_nevp=300)
+/
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namdyn_spg
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namdyn_spg	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namdyn_spg	(revision 10321)
@@ -1,4 +1,4 @@
 !-----------------------------------------------------------------------
-&namdyn_spg    !   surface pressure gradient                            (default: NO)
+&namdyn_spg    !   surface pressure gradient                            (default: NO selection)
 !-----------------------------------------------------------------------
    ln_dynspg_exp  = .false.   ! explicit free surface
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namdyn_vor
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namdyn_vor	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namdyn_vor	(revision 10321)
@@ -1,10 +1,14 @@
 !-----------------------------------------------------------------------
-&namdyn_vor    !   Vorticity / Coriolis scheme                          (default: NO)
+&namdyn_vor    !   Vorticity / Coriolis scheme                          (default: NO selection)
 !-----------------------------------------------------------------------
-   ln_dynvor_ene = .false. !  enstrophy conserving scheme
-   ln_dynvor_ens = .false. !  energy conserving scheme
+   ln_dynvor_ene = .false. !  energy    conserving scheme
+   ln_dynvor_ens = .false. !  enstrophy conserving scheme
    ln_dynvor_mix = .false. !  mixed scheme
+   ln_dynvor_enT = .false. !  energy conserving scheme (T-point)
+   ln_dynvor_eeT = .false. !  energy conserving scheme (een using e3t)
    ln_dynvor_een = .false. !  energy & enstrophy scheme
-      nn_een_e3f = 1          ! e3f = masked averaging of e3t divided by 4 (=0) or by the sum of mask (=1)
-   ln_dynvor_msk = .false. !  vorticity multiplied by fmask (=T) or not (=F) (all vorticity schemes)  ! PLEASE DO NOT ACTIVATE
+      nn_een_e3f = 1          ! =0  e3f = mi(mj(e3t))/4 
+      !                       ! =1  e3f = mi(mj(e3t))/mi(mj( tmask))
+   ln_dynvor_msk = .false. !  vorticity multiplied by fmask (=T)        ==>>> PLEASE DO NOT ACTIVATE
+      !                    !  (f-point vorticity schemes only)
 /
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/nameos
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/nameos	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/nameos	(revision 10321)
@@ -1,4 +1,4 @@
 !-----------------------------------------------------------------------
-&nameos        !   ocean Equation Of Seawater                           (default: NO)
+&nameos        !   ocean Equation Of Seawater                           (default: NO selection)
 !-----------------------------------------------------------------------
    ln_teos10   = .false.         !  = Use TEOS-10
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namforcing
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namforcing	(revision 10321)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namforcing	(revision 10321)
@@ -0,0 +1,13 @@
+!------------------------------------------------------------------------------
+&namforcing     !   Ice surface forcing
+!------------------------------------------------------------------------------
+   rn_cio           =   5.0e-03       !  ice-ocean drag coefficient (-)
+   rn_blow_s        =   0.66          !  mesure of snow blowing into the leads
+                                      !     = 1 => no snow blowing, < 1 => some snow blowing
+   nn_flxdist       =  -1             !  Redistribute heat flux over ice categories
+                                      !     =-1  Do nothing (needs N(cat) fluxes)
+                                      !     = 0  Average N(cat) fluxes then apply the average over the N(cat) ice
+                                      !     = 1  Average N(cat) fluxes then redistribute over the N(cat) ice using T-ice and albedo sensitivity
+                                      !     = 2  Redistribute a single flux over categories
+   nice_jules       = 0               !  Jules coupling (0=OFF, 1=EMULATED, 2=ACTIVE)
+/
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namhsb
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namhsb	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namhsb	(revision 10321)
@@ -1,4 +1,4 @@
 !-----------------------------------------------------------------------
-&namhsb        !  Heat and salt budgets                                  (default F)
+&namhsb        !  Heat and salt budgets                                 (default: OFF)
 !-----------------------------------------------------------------------
    ln_diahsb   = .false.   !  check the heat and salt budgets (T) or not (F)
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namini
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namini	(revision 10321)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namini	(revision 10321)
@@ -0,0 +1,25 @@
+!------------------------------------------------------------------------------
+&namini         !   Ice initialization
+!------------------------------------------------------------------------------
+   ln_iceini        = .true.          !  activate ice initialization (T) or not (F)
+   ln_iceini_file   = .false.         !  netcdf file provided for initialization (T) or not (F)
+   rn_thres_sst     =   2.0           !  max delta temp. above Tfreeze with initial ice = (sst - tfreeze)
+   rn_hts_ini_n     =   0.3           !  initial real snow thickness (m), North
+   rn_hts_ini_s     =   0.3           !        "            "             South
+   rn_hti_ini_n     =   3.0           !  initial real ice thickness  (m), North
+   rn_hti_ini_s     =   1.0           !        "            "             South
+   rn_ati_ini_n     =   0.9           !  initial ice concentration   (-), North
+   rn_ati_ini_s     =   0.9           !        "            "             South
+   rn_smi_ini_n     =   6.3           !  initial ice salinity     (g/kg), North
+   rn_smi_ini_s     =   6.3           !        "            "             South
+   rn_tmi_ini_n     = 270.            !  initial ice/snw temperature (K), North
+   rn_tmi_ini_s     = 270.            !        "            "             South
+
+   sn_hti = 'Ice_initialization'    , -12 ,'hti'   ,  .false.  , .true., 'yearly'  , '' , '', ''
+   sn_hts = 'Ice_initialization'    , -12 ,'hts'   ,  .false.  , .true., 'yearly'  , '' , '', ''
+   sn_ati = 'Ice_initialization'    , -12 ,'ati'   ,  .false.  , .true., 'yearly'  , '' , '', ''
+   sn_tsu = 'Ice_initialization'    , -12 ,'tsu'   ,  .false.  , .true., 'yearly'  , '' , '', ''
+   sn_tmi = 'Ice_initialization'    , -12 ,'tmi'   ,  .false.  , .true., 'yearly'  , '' , '', ''
+   sn_smi = 'Ice_initialization'    , -12 ,'smi'   ,  .false.  , .true., 'yearly'  , '' , '', ''
+   cn_dir ='./'
+/
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namitd
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namitd	(revision 10321)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namitd	(revision 10321)
@@ -0,0 +1,9 @@
+!------------------------------------------------------------------------------
+&namitd         !   Ice discretization
+!------------------------------------------------------------------------------
+   ln_cat_hfn       = .true.          !  ice categories are defined by a function following rn_himean**(-0.05)
+      rn_himean     =   2.0           !  expected domain-average ice thickness (m)
+   ln_cat_usr       = .false.         !  ice categories are defined by rn_catbnd below (m)
+      rn_catbnd     =   0.,0.45,1.1,2.1,3.7,6.0  
+   rn_himin         =   0.1           !  minimum ice thickness (m) used in remapping
+/
